EndpointsService Reviews

Service Reviews

Function-calling namespace: serviceReviews

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/service-reviews/create

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
serviceIdstringYes-
productIdstringNo-
patientIdstringYes-
ratingintegerYes-
reviewstringNo-
reviewTagIdsarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "create",
  "data": {
    "organizationId": "org_123",
    "serviceId": "service_123",
    "patientId": "patient_123",
    "rating": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/service-reviews/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/service-reviews/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "getById",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/service-reviews/list

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
serviceIdstringNo-
productIdstringNo-
patientIdstringNo-
ratingintegerNo-
minRatingintegerNo-
maxRatingintegerNo-
reviewTagIdsarray<string>No-
searchstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "list",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/service-reviews/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
serviceIdstringNo-
productIdstringNo-
patientIdstringNo-
ratingintegerNo-
minRatingintegerNo-
maxRatingintegerNo-
reviewTagIdsarray<string>No-
searchstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByService

Source: backend/endpoints/service-reviews/list

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
serviceIdstringNo-
productIdstringNo-
patientIdstringNo-
ratingintegerNo-
minRatingintegerNo-
maxRatingintegerNo-
reviewTagIdsarray<string>No-
searchstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "listByService",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listPatientFeedbacksByOrganization

Source: backend/endpoints/service-reviews/list-patient-feedbacks-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "listPatientFeedbacksByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/service-reviews/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
serviceIdstringYes-
productIdstringNo-
patientIdstringYes-
ratingintegerYes-
reviewstringNo-
reviewTagIdsarray<string>No-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "serviceReviews",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123",
    "serviceId": "service_123",
    "patientId": "patient_123",
    "rating": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }